#include <glib-unix.h>
#include <assert.h>
#include "session-shell.h"

static void session_locked(DiyaSessionShell* shell, void* data)
{
    (void)data;
    assert(shell);
    g_warning("session_locked callback triggered");
}

static void session_unlocked(DiyaSessionShell* shell, void* data)
{
    (void)data;
    assert(shell);
    g_warning("session_unlocked callback triggered");
}

int main(int argc, char *argv[])
{
    DiyaSessionShell *shell = DIYA_SESSION_SHELL(g_object_new(DIYA_TYPE_SESSION_SHELL, "name","dev.iohub.diya.session-shell", NULL));
    g_signal_connect(shell, DIYA_SIGNAL_SESSION_LOCKED, G_CALLBACK(session_locked), NULL);
    g_signal_connect(shell, DIYA_SIGNAL_SESSION_UNLOCKED, G_CALLBACK(session_unlocked), NULL);
    return diya_shell_run(DIYA_SHELL(shell), argc, argv);
}
