# diya-shell

Wayland shell for diyac wayland compositor

# Environment variables

## Theme

Default theme can be set using the envar `DIYA_DEFAULT_THEME`, this will cause the shell searching for CSS file theme in
`/home/$USER/.themes/<name>/gtk-4.0/gtk.css`:

* diya-shell: will looking for file: `dev.iohub.diya.session-shell.css`
* diya-login-shell: will looking for file: `dev.iohub.diya.login-shell.css`

# Virtual keyboard layout

Default virtual keyboard keymap can be set via the `DIYA_VKB_KEYMAP` environment variable. When created virtual keyboard,
the shell will search for keymap file in: `/home/$USER/.config/diya/xkb/${DIYA_VKB_KEYMAP}.keymap`


# Launch terminal based application

create file in `/home/$USER/bin/xdg-terminal-exec` with:

```sh
#! /bin/sh
foot $@
```

this allows gtk4-launch to launch a terminal based application