#ifndef DIYA_BASE_WIDGETS_H
#define DIYA_BASE_WIDGETS_H

#include <glib-object.h>
#include <assert.h>
#include <gtk/gtk.h>

#define DIYA_TYPE_SHELL_WINDOW (diya_shell_window_get_type())
G_DECLARE_DERIVABLE_TYPE(DiyaShellWindow, diya_shell_window, DIYA, SHELL_WINDOW, GtkApplicationWindow)
struct _DiyaShellWindowClass
{
    GtkApplicationWindowClass parent_class;
    void (*setup)(DiyaShellWindow* self);
};
gpointer diya_shell_window_get_shell(DiyaShellWindow* self);
DiyaShellWindow* diya_shell_window_new(GType window_type, gpointer shell);

#endif