#ifndef DIYA_VIRTUAL_KEYBOARD_WIDGETS_H
#define DIYA_VIRTUAL_KEYBOARD_WIDGETS_H

#include "shell.h"
#include "virtual-keyboard.h"

#define DIYA_TYPE_VIRTUAL_KEYBOARD_WIDGET (diya_virtual_keyboard_widget_get_type())
G_DECLARE_FINAL_TYPE (DiyaVirtualKeyboardWidget, diya_virtual_keyboard_widget, DIYA, VIRTUAL_KEYBOARD_WIDGET, GtkWidget)

GtkWidget* diya_virtual_keyboard_widget_new(DiyaVirtualKeyboard* keyboard);
void diya_virtual_keyboard_widget_set_keyboard(DiyaVirtualKeyboardWidget* widget, DiyaVirtualKeyboard* keyboard);


#define DIYA_TYPE_VKB_BUTTON (diya_vkb_button_get_type())
G_DECLARE_FINAL_TYPE (DiyaVkbButton, diya_vkb_button, DIYA, VKB_BUTTON, GtkWidget)

DiyaVkbButton* diya_vkb_button_new(DiyaVkbKey* key);
void diya_vkb_button_set_key(DiyaVkbButton* btn, DiyaVkbKey *key);

#endif